//////////////////////////////////////////////////////////
//Beispiel Shape-Gruppen aus Kapitel Räumliche Struturen
////////////////////////////////////////////////////////

PShape gruppe; 

void setup() {
  size(500, 500);

  gruppe = createShape(GROUP);

  // Vier Shapes erstellen
  PShape auge1 = createShape(ELLIPSE, -25, 0, 40, 40);
  auge1.setFill(color(255));
  PShape auge2 = createShape(ELLIPSE, 25, 0, 40, 40);
  auge2.setFill(color(255));
  PShape nase = createShape(RECT, -5, 30, 5, 40);
  nase.setFill(color(0));
  PShape mund = createShape();  
  mund.beginShape();
  mund.noStroke();
  mund.fill(255, 0, 0);

  // Äusserer Teil ist ein Rechteck
  mund.vertex(-50, 90);
  mund.vertex(50, 90);
  mund.vertex(50, 110);
  mund.vertex(-50, 110);
  mund.vertex(-50, 90);

  // Innerer Teil ist ebenfalls ein Rechteck
  mund.beginContour();
  mund.vertex(-40, 97);
  mund.vertex(-40, 103);
  mund.vertex(40, 103);
  mund.vertex(40, 97);
  mund.vertex(-40, 97);
  mund.endContour();

  mund.endShape();

  // alles zusammenbauen
  gruppe.addChild(auge1);
  gruppe.addChild(auge2);
  gruppe.addChild(nase);
  gruppe.addChild(mund);
}

void draw() {
  background(204);
  translate(width/2, height/2);
  gruppe.scale(1.001);//Das Gesicht wird langsam größer
  shape(gruppe);
}